OGRE: Ogre::ScaleControllerFunction Class Reference - OGRE Documentation

# Ogre::ScaleControllerFunction Class Reference

Predefined controller function which simply scales an input to an output value. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::ScaleControllerFunction:

[legend]

List of all members.

## Public Member Functions
| ScaleControllerFunction (Real scalefactor, bool deltaInput)
| Constructor, requires a scale factor.
Real | calculate (Real source)
| Overridden method.
virtual T | calculate (T sourceValue)=0
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Protected Member Functions
T | getAdjustedInput (T input)
| Gets the input value as adjusted by any delta.
## Protected Attributes
Real | mScale
bool | mDeltaInput
| If true, function will add input values together and wrap at 1.0 before evaluating.
T | mDeltaCount

## Detailed Description

Predefined controller function which simply scales an input to an output value.

Definition at line 213 of file OgrePredefinedControllers.h.

## Constructor & Destructor Documentation

Ogre::ScaleControllerFunction::ScaleControllerFunction | ( | Real | scalefactor,
|  | bool | deltaInput |
| ) |  |  |

Constructor, requires a scale factor.

Parameters:

  | scalefactor | The multiplier applied to the input to produce the output.
  | deltaInput | If true, signifies that the input will be a delta value such that the function should add it to an internal counter before calculating the output.

## Member Function Documentation

Real Ogre::ScaleControllerFunction::calculate | ( | Real | source | ) |

Overridden method.

template<typename T>

T Ogre::ControllerFunction< T >::getAdjustedInput | ( | T | input | ) | `[protected, inherited]`

Gets the input value as adjusted by any delta.

Definition at line 60 of file OgreController.h.

template<typename T>

virtual T Ogre::ControllerFunction< T >::calculate | ( | T | sourceValue | ) | `[pure virtual, inherited]`

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 62 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 73 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 79 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 84 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 89 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 106 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

Real Ogre::ScaleControllerFunction::mScale`[protected]`

Definition at line 216 of file OgrePredefinedControllers.h.

template<typename T>

bool Ogre::ControllerFunction< T >::mDeltaInput`[protected, inherited]`

If true, function will add input values together and wrap at 1.0 before evaluating.

Definition at line 55 of file OgreController.h.

Referenced by Ogre::ControllerFunction< float >::ControllerFunction(), and Ogre::ControllerFunction< float >::getAdjustedInput().

template<typename T>

T Ogre::ControllerFunction< T >::mDeltaCount`[protected, inherited]`

Definition at line 56 of file OgreController.h.

Referenced by Ogre::ControllerFunction< float >::ControllerFunction(), and Ogre::ControllerFunction< float >::getAdjustedInput().

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:35:07 2009